[Ubuntu-BD] ডিকশনারি এবং অটোকারেক্ট সুবিধা নিয়ে আসলো অভ্র ফোনেটিক

Sarim Khan sarim2005 at gmail.com
Tue Jul 24 07:05:50 UTC 2012


@sazzad
How could you tell that it'll work below 12.04 ? Where did you find
that ? We (the developers of ibus-avro) wrote that in our site for
very specific reason. Without knowing the whole situation, how could
you tell that ?
When you are giving solution to another user, think twice before, dont
do anything that can cause harm to his system. Suppose one is using
scim-avro , now he sees your post and try to install ibus,ibus-avro
but it'll not work, he just wasted his time and messed up his scim
installation. You are doing harm rather than good providing wrong
solution.

Ibus-avro utilizes some latest technologies like
gobject-introspection, gjs which aren't available in ubuntu before
12.04. AFAIK , you also cant compile them easily in older versions of
ubuntu bcz of the older version of gnome core libraries.
The situation in opensuse 12.1 also like that, there,
gobject-introspection, gjs etc.. are present but in old version, but
unlike other major distros, opensuse maintains some extra repositories
that offers latest version of packages of some renounced projects and
DE(s). As you can see in opensuse page, there is a note telling that.

For the same reason we couldn't support fedora 16.

So, before trying anythings related to ibus-avro which are not
mentioned in linux.omicronlab.com, first be sure from a authentic
person if you dont want to mess up your system.

Hope that you all are enjoying avro phonetic, dont hesitate to send
your feedback to us :)

Thanking,
Sarim Khan

২৪ জুলাই, ২০১২ ২:৪২ am এ, Arif Roni <roni21iut at gmail.com> লিখেছেন:
> @sazzad ভাই,
>
> হচ্ছে না।
>
> http://linux.omicronlab.com/ubuntu_12.04.html  এটা ফলো করলে নিচের সমস্যা।
>
> *roni at roni-Aspire-5738:~$ sudo apt-get install ibus-avro*
> *Reading package lists... Done*
> *Building dependency tree       *
> *Reading state information... Done*
> *Some packages could not be installed. This may mean that you have*
> *requested an impossible situation or if you are using the unstable*
> *distribution that some required packages have not yet been created*
> *or been moved out of Incoming.*
> *The following information may help to resolve the situation:*
> *
> *
> *The following packages have unmet dependencies:*
> * ibus-avro : Depends: ibus (>= 1.4.1-3ubuntu1) but 1.3.7-1ubuntu4 is to be
> installed*
> *             Depends: libibus-1.0-0 (>= 1.4.1-3ubuntu1) but it is not
> installable*
> *             Depends: gjs (>= 1.32.0-1ubuntu1) but it is not going to be
> installed*
> *             Depends: gir1.2-gjsdbus-1.0 but it is not installable*
> *             Depends: gir1.2-ibus-1.0 but it is not installable*
> *             Depends: gir1.2-glib-2.0 but it is not installable*
> *             Depends: gir1.2-gtk-3.0 but it is not installable*
> *             Depends: gir1.2-gtk-2.0 but it is not installable*
> *E: Broken packages*
>
>
>
> আবার https://github.com/sarim/ibus-avro/blob/master/README.md  এটা করলেও
> ইন্সটল হয় না। যেমন,
>
> *roni at roni-Aspire-5738:~$ sudo apt-get install git libibus-1.0-0*
> *Reading package lists... Done*
> *Building dependency tree       *
> *Reading state information... Done*
> *Package libibus-1.0-0 is not available, but is referred to by another
> package.*
> *This may mean that the package is missing, has been obsoleted, or*
> *is only available from another source*
> *
> *
> *E: Package 'libibus-1.0-0' has no installation candidate*
> *roni at roni-Aspire-5738:~$ *
>
>
> Best Regards
> _________________
> Md. Arif Ahmed Roni
> Universität Ulm
> Ulm, Germany
> +4917621658448
>
>
> 2012/7/22 ANUPAM MITRA <anupammitra.pnb at gmail.com>
>
>> দারুণ খবর দিয়েছেন। এতদিন তো এটা জানতামই না। সবচেয়ে সুবিধে হচ্ছে যে এতে আর
>> যুক্তাক্ষরের জন্য অ্যাক্সেন্ট কি ব্যবহার করতে প্রায় হচ্ছেই না। এতো সুবিধা
>> উইন্ডোজ 'এ নেই। খুব ভালো, খুব ভালো।
>>
>>
>> 2012/7/22 sagir khan <sagir42 at gmail.com>
>>
>> > আমি অভ্র ইজি ফিক্স কিবোর্ড লোআউট ব্যবহার করি। এটি আলাদা ইসন্টল করে নিতে
>> > হয়। যাই হোক সেটা কোন ব্যপার না।
>> >
>> > অভ্র শুধু কিবোর্ড সর্বস্ব টাইপিং সফটওয়্যার না নিশ্চয়। এর মাঝে আরো কিছু
>> > ফিচার আছে। বিশেষ করে এর আনসি মোডে ইনপুট দেওয়ার সিসটেমটা আমার বেশ কাজে
>> > লাগছে। এর ফলে আমাকে আর বিজয় ব্যবহার করতে হচ্ছে না বা ইউনিকোডে টাইপ করে
>> > বিজয়ে কনভার্ট করতে হচ্ছে না। উবুন্টুজে লীব্রা/অপেন অফিসে স্পেল চেকার আছে
>> > তাই আর স্পেলচেকার লাগে না। কিন্তু অফিসে কাজ করার সময় বার বার কনভার্ট করতে
>> > হয়। তাই কনভার্টারাটাও লাগে। অভ্র পুরোটা থাকলে এই ফিচারগুলো সবার জন্য
>> > সহজলভ্য হবে।
>> > --
>> >
>> > ধন্যবাদ
>> > সগীর হোসাইন খান
>> > সহকারী সমন্বয়কারী (কর্মসূচি বিভাগ)
>> > জাতীয় প্রতিবন্ধী ফোরাম
>> >
>> > _____________________________________________________
>> >
>> > *দেশকে পরিবর্তন করতে চাইলে সবার আগে নিজেকে পরিবর্তন করতে হবে*।
>> > --
>> > Ubuntu Bangladesh
>> > https://lists.ubuntu.com/mailman/listinfo/ubuntu-bd
>> >
>> --
>> Ubuntu Bangladesh
>> https://lists.ubuntu.com/mailman/listinfo/ubuntu-bd
>>
> --
> Ubuntu Bangladesh
> https://lists.ubuntu.com/mailman/listinfo/ubuntu-bd


More information about the ubuntu-bd mailing list